ForeignGenerator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Class ForeignGenerator

    java.lang.Object
      org.hibernate.id.ForeignGenerator

All Implemented Interfaces:
  Configurable, IdentifierGenerator

    public class ForeignGenerator

extends Object
implements IdentifierGenerator, Configurable

foreign
An `Identifier` generator that uses the value of the id property of an associated object
One mapping parameter is required: property.

Field Summary

Fields inherited from interface org.hibernate.id.IdentifierGenerator
`ENTITY_NAME`

Constructor Summary
`ForeignGenerator()`

Method Summary
`void` | `configure(Type type, Properties params, Dialect d)` Configure this instance, given the value of parameters specified by the user as `<param>` elements.
`Serializable` | `generate(SessionImplementor sessionImplementor, Object object)` Generate a new identifier.
`String` | `getEntityName()` Getter for property 'entityName'.
`String` | `getPropertyName()` Getter for property 'propertyName'.
`String` | `getRole()` Getter for property 'role'.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForeignGenerator

    public ForeignGenerator()

Method Detail

### getEntityName

    public String getEntityName()

  Getter for property 'entityName'.

  Returns:
    Value for property 'entityName'.

### getPropertyName

    public String getPropertyName()

  Getter for property 'propertyName'.

  Returns:
    Value for property 'propertyName'.

### getRole

    public String getRole()

  Getter for property 'role'. Role is the `property name` qualified by the `entity name`.

  Returns:
    Value for property 'role'.

### configure

    public void configure(Type type,
                          Properties params,
                          Dialect d)

  Configure this instance, given the value of parameters specified by the user as `<param>` elements. This method is called just once, following instantiation.

  Specified by:
    `configure` in interface `Configurable`
    `params` - param values, keyed by parameter name

### generate

    public Serializable generate(SessionImplementor sessionImplementor,
                                 Object object)

  Generate a new identifier.

  Specified by:
    `generate` in interface `IdentifierGenerator`
    `object` - the entity or toplevel collection for which the id is being generated
  Returns:
    a new identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.